karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Schneider <ch...@die-schneider.net>
Subject Re: Versioning of command apis
Date Thu, 14 Nov 2013 14:30:48 GMT
I agree that for undoing the changes it is too late. The downside is 
that people then have to migrate twice but that is just a bit of effort.

Ok so what do we do for the packages org.apache.karaf.shell.console and 
below. Should we use version 3.0.0 for them or a package version of 
2.3.0? The 2.3.0 version would make all code work that has not yet 
increased their import range.

Christian


On 14.11.2013 14:12, Jean-Baptiste Onofré wrote:
> +1 and -1
>
> +1 for have a clean API and externalized, with a cleaner versioning 
> for Karaf 4.
>
> -1 to revert the move that we did in Karaf 3. We did this move 1 year 
> before, it gives time to test and move for the other projects. I'm not 
> OK to move now, at 1 week for Karaf 3.0.0. We released Karaf 3.0.0.RC1 
> like this. I'm fully OK to add a backward compatible module, to easily 
> migrate, but not to revert.
>
> Regards
> JB

-- 
Christian Schneider
http://www.liquid-reality.de

Open Source Architect
http://www.talend.com


Mime
View raw message